# IG TYPO3 CMS Base Distribution

## TODO

* Exakte Versionen angeben
* upgrade?
* Version handlen

## Installation

* `composer create-project internetgalerie/ig-typo3-distribution project-name ^12 --repository-url https://packages.internetgalerie.ch/`
* `cd project-name`

**Setup:**

To start an interactive installation, you can do so by executing the following
command and then follow the wizard:

```
php vendor/bin/typo3cms install:setup
```

**Setup unattended (optional):**

If you're a more advanced user, you might want to leverage the unattended installation.
To do this, you need to execute the following command and substitute the arguments
with your own environment configuration.

```
php vendor/bin/typo3cms install:setup \
    --no-interaction \
    --database-user-name=typo3 \
    --database-user-password=typo3 \
    --database-host-name=127.0.0.1 \
    --database-port=3306 \
    --database-name=typo3 \
    --use-existing-database \
    --admin-user-name=admin \
    --admin-password=password \
    --site-setup-type=site \
    --site-base-url=http://www.domain.ch/ \
    --web-server-config=apache    
```


**Install a TYPO3 IG Template:**

Integrate default IG content (pages, files, users)

```
/opt/tools/typo3/template/install.sh
```
